View Issue Details

IDCategoryLast Update
0000020bugs2003-11-12 17:41
ReportertaybinAssigned Topaul 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000020: butler thread
DescriptionFix whatever causes butler thread to die.
TagsNo tags attached.

Activities

paul

2003-10-21 20:16

administrator   ~0000046

if Route::roll() returned a failure code, diskstreams that had already been processed would not have their ::commit function called, causing their state lock to continue being held. this leads to deadlock the next time the state lock is
acquired, such as is DiskStream::seek().

this was solved by adding DiskStream::recover() which is called for all DS if a Route::roll() call fails. the recover function releases the lock and sets _processed to false again.

Issue History

Date Modified Username Field Change
2003-09-24 13:11 taybin New Issue
2003-09-24 13:32 taybin Priority normal => high
2003-09-24 13:32 taybin Status new => confirmed
2003-10-21 03:58 paul Status confirmed => assigned
2003-10-21 03:58 paul Assigned To => paul
2003-10-21 20:16 paul Status assigned => resolved
2003-10-21 20:16 paul Resolution open => fixed
2003-10-21 20:16 paul Note Added: 0000046
2003-11-12 17:41 taybin Status resolved => closed